<!--
Author:         Jakub Schon
Company:        Husky Energy
History:        jschn 28/08/2019 - Created.
 -->
<!-- VTT WOA List View Save Popup -->
<!--suppress HtmlUnknownTag -->
<template>

	<lightning-spinner if:true={loading}
					   size="medium"
					   alternative-text="Loading..."
					   variant="brand"></lightning-spinner>

	<section role="dialog"
			 tabindex="-1"
			 aria-labelledby="modal-heading-01"
			 aria-modal="true"
			 aria-describedby="modal-content-id-1"
			 class="slds-modal slds-fade-in-open">
		<div class="slds-modal__container">
			<header class="slds-modal__header">
				<button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse"
						onclick={handleCancel}
						title="Close">
					<lightning-icon icon-name="utility:close"
									size="small"></lightning-icon>
					<span class="slds-assistive-text">
						Close
					</span>
				</button>
				<h2 id="modal-heading-01"
					class="slds-text-heading_medium slds-hyphenate">
					Save filter
				</h2>
			</header>
			<div class="slds-modal__content slds-p-around_medium"
				 id="modal-content-id-1">

				<c-hog_error-msg error-message={errorMessage}
								 if:true={errorMessage}></c-hog_error-msg>

				<lightning-input label="Filter Name"
								 name="Filter Name"
								 required
								 onchange={handleOnChange}></lightning-input>
			</div>
			<footer class="slds-modal__footer">
				<lightning-button-group >
					<lightning-button label="Cancel"
									  variant="destructive"
									  disabled={buttonsDisabled}
									  onclick={handleCancel}></lightning-button>
					<lightning-button label={saveButtonLabel}
									  variant="success"
									  disabled={buttonsDisabled}
									  onclick={handleSave}></lightning-button>
				</lightning-button-group>
			</footer>
		</div>
	</section>
	<div class="slds-backdrop slds-backdrop_open"></div>

</template>